/*
 *	Definitions used throughout the ZCP code
 *
 *	platform.h seems to be never included from header files, which is
 *	reasonable for definitions that would otherwise influence third-party
 *	programs. However, we also need some definitions that are truly
 *	visible everywhere, and that is zcdefs.h.
 */
#ifndef ZCOMMON_DEFS_H
#define ZCOMMON_DEFS_H 1

#if __cplusplus >= 201100L
#	define _final final
#	define _override override
#else
#	define _final
#	define _override
#endif

#endif /* ZCOMMON_DEFS_H */
