#ifndef __RTFUTIL_H
#define __RTFUTIL_H

#include "CommonUtil.h"
#include <string>

bool isrtfhtml(const char *buf, unsigned int len);
bool isrtftext(const char *buf, unsigned int len);

HRESULT HrExtractHTMLFromRTF(const std::string &lpStrRTFIn, std::string &lpStrHTMLOut, ULONG ulCodepage);
HRESULT HrExtractHTMLFromTextRTF(const std::string &lpStrRTFIn, std::string &lpStrHTMLOut, ULONG ulCodepage);
HRESULT HrExtractHTMLFromRealRTF(const std::string &lpStrRTFIn, std::string &lpStrHTMLOut, ULONG ulCodepage);
HRESULT HrExtractBODYFromTextRTF(const std::string &lpStrRTFIn, std::wstring &strBodyOut);

#endif
